import React from 'react';
import cx from 'classnames';
var BASE_CLASS = "sui-MoleculeTabs";
var CLASS_TAB = BASE_CLASS + "-item";
var CLASS_TAB_ICON = CLASS_TAB + "-icon";
var CLASS_TAB_COUNT = CLASS_TAB + "-count";
/* status */

var CLASS_TAB_ACTIVE = "is-active";
var CLASS_TAB_DISABLED = "is-disabled";

var MoleculeTab = function MoleculeTab(_ref) {
  var _cx;

  var active = _ref.active,
      onChange = _ref.onChange,
      disabled = _ref.disabled,
      icon = _ref.icon,
      count = _ref.count,
      label = _ref.label,
      numTab = _ref.numTab;

  var handleChange = function handleChange(ev) {
    !disabled && onChange(ev, {
      numTab: numTab
    });
  };

  var className = cx(CLASS_TAB, (_cx = {}, _cx[CLASS_TAB_ACTIVE] = active, _cx[CLASS_TAB_DISABLED] = disabled, _cx));
  return /*#__PURE__*/React.createElement("li", {
    className: className,
    onClick: handleChange
  }, icon && /*#__PURE__*/React.createElement("span", {
    className: CLASS_TAB_ICON
  }, icon), !isNaN(count) && /*#__PURE__*/React.createElement("span", {
    className: CLASS_TAB_COUNT
  }, count), /*#__PURE__*/React.createElement("span", null, label));
};

export default MoleculeTab;